%global pypi_name importanize
%global sum Utility for organizing Python imports using PEP8 or custom rules

Name:           python-%{pypi_name}
Version:        0.6.3
Release:        5%{?dist}
Summary:        %{sum}

License:        MIT
URL:            https://pypi.python.org/pypi/%{pypi_name}
Source0:        https://pypi.python.org/packages/a7/6b/a467eac613f8faaa562f93ae44c92e5a943fc8365ce8411de8b1aae4c885/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel python3-devel
BuildRequires:  python2-six python3-six

%description
importanize allows to organize Python imports using PEP8 or configuration file.

%package -n python2-%{pypi_name}
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{pypi_name}}

%description -n python2-%{pypi_name}
importanize allows to organize Python imports using PEP8 or configuration file.

%package -n python3-%{pypi_name}
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
importanize allows to organize Python imports using PEP8 or configuration file.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%py2_build
%py3_build

%install
%py3_install
mv %{buildroot}/%{_bindir}/%{pypi_name} %{buildroot}/%{_bindir}/%{pypi_name}-3
ln -s %{pypi_name}-3 %{buildroot}/%{_bindir}/%{pypi_name}-%{python3_version}
rm -fr %{buildroot}%{python3_sitelib}/tests
%py2_install
ln -s %{pypi_name} %{buildroot}/%{_bindir}/%{pypi_name}-2
ln -s %{pypi_name} %{buildroot}/%{_bindir}/%{pypi_name}-%{python2_version}
rm -fr %{buildroot}%{python2_sitelib}/tests

%files -n python2-%{pypi_name}
%doc AUTHORS.rst CONTRIBUTING.rst HISTORY.rst README.rst
%license LICENSE.rst
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%{_bindir}/%{pypi_name}
%{_bindir}/%{pypi_name}-2
%{_bindir}/%{pypi_name}-%{python2_version}

%files -n python3-%{pypi_name}
%doc AUTHORS.rst CONTRIBUTING.rst HISTORY.rst README.rst
%license LICENSE.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%{_bindir}/%{pypi_name}-3
%{_bindir}/%{pypi_name}-%{python3_version}

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.6.3-4
- Rebuilt for Python 3.7

* Fri Apr 20 2018 Sundeep Anand <suanand@redhat.com> - 0.6.3-3
- Minor fix

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Jan 30 2018 Sundeep Anand <suanand@redhat.com> - 0.6.3-1
- Update to upstream latest version 0.6.3

* Fri Jan 19 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.6.2-2
- Update Python 2 dependency declarations to new packaging standards
-   (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Thu Jan 11 2018 Sundeep Anand <suanand@redhat.com> - 0.6.2-1
- Update to upstream latest version 0.6.2

* Mon Oct 23 2017 Sundeep Anand <suanand@redhat.com> - 0.6.1-1
- Update to upstream latest version 0.6.1

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Jun 12 2017 Sundeep Anand <suanand@redhat.com> - 0.5.3-1
- Update to upstream latest version 0.5.3

* Mon May 08 2017 Sundeep Anand <suanand@redhat.com> - 0.5.0-1
- Update to upstream latest version.

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.4.1-7
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-6
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Mon Mar 14 2016 Sundeep Anand <suanand@redhat.com> - 0.4.1-5
- python2 subpackage

* Fri Mar 04 2016 Sundeep Anand <suanand@redhat.com> - 0.4.1-4
- Bug 1314537 - requires both python2 and python3

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jan 22 2016 Sundeep Anand <suanand@redhat.com> - 0.4.1-2
- Removed tests directory.

* Mon Jan 18 2016 Sundeep Anand <suanand@redhat.com> - 0.4.1-1
- Initial RPM Package.
